Creates a new workflow form field condition from provided data
curl --request POST \
--url https://api.rootly.com/v1/workflows/{workflow_id}/form_field_conditions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "workflow_form_field_conditions",
"attributes": {
"form_field_id": "<string>",
"incident_condition": "ANY",
"workflow_id": "<string>",
"values": [
"<string>"
],
"selected_catalog_entity_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "workflow_form_field_conditions",
"attributes": {
"workflow_id": "<string>",
"form_field_id": "<string>",
"incident_condition": "ANY",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"values": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Show child attributes
workflow_form_field_condition created without environment ids when catalog_v1 disabled
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.rootly.com/v1/workflows/{workflow_id}/form_field_conditions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "workflow_form_field_conditions",
"attributes": {
"form_field_id": "<string>",
"incident_condition": "ANY",
"workflow_id": "<string>",
"values": [
"<string>"
],
"selected_catalog_entity_ids": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}
'{
"data": {
"id": "<string>",
"type": "workflow_form_field_conditions",
"attributes": {
"workflow_id": "<string>",
"form_field_id": "<string>",
"incident_condition": "ANY",
"selected_catalog_entity_ids": [
"<string>"
],
"selected_option_ids": [
"<string>"
],
"selected_user_ids": [
123
],
"values": [
"<string>"
],
"selected_functionality_ids": [
"<string>"
],
"selected_group_ids": [
"<string>"
],
"selected_service_ids": [
"<string>"
],
"selected_cause_ids": [
"<string>"
],
"selected_environment_ids": [
"<string>"
],
"selected_incident_type_ids": [
"<string>"
]
}
}
}